# pyhoff.devices.KL1402 — pyhoff documentation

Skip to main content
`Ctrl`+`K`

# pyhoff.devices.KL1402

class pyhoff.devices.KL1402(bus_coupler, output_bit_addresses, input_bit_addresses, output_word_addresses, input_word_addresses, mixed_mapping)

  Bases: `DigitalInputTerminal`

  KL1402: 2-channel digital input, 24 V DC, 3 ms, 2-wire connection (Automatic generated stub)

  read_input(channel)

    Read the input from a specific channel.

    Parameters:

      channel (`int`) – The channel number (start counting from 1) to read from.

    Return type:

      `bool` | `None`

    Returns:

      The input value of the specified channel or None if the read operation failed.

    Raises:

      Exception – If the channel number is out of range.